/*eslint-disable */
define([], function () {
  /**
   * Copyright © Magento, Inc. All rights reserved.
   * See COPYING.txt for license details.
   */

  /**
   * @api
   */
  var MobileMargins =
  /*#__PURE__*/
  function () {
    "use strict";

    function MobileMargins() {}

    var _proto = MobileMargins.prototype;

    /**
     * Read margins from element
     *
     * @param {HTMLElement} element
     * @returns {string | object}
     */
    _proto.read = function read(element) {
      return {
        mobileMargin: {
          left: element.style.marginLeft,
          top: element.style.marginTop,
          right: element.style.marginRight,
          bottom: element.style.marginBottom
        }
      };
    };

    return MobileMargins;
  }();

  return MobileMargins;
});
//# sourceMappingURL=margins.js.map
