<?php


namespace FiloBlu\Refilo\Block\Adminhtml\Redirects;

use FiloBlu\Refilo\Block\Adminhtml\Redirects\Common\Button;

class BackButton extends Button
{
    /**
     * @inheritDoc
     */
    public function getButtonData()
    {
        return [
            'label' => __('Back'),
            'on_click' => sprintf("location.href = '%s';", $this->getUrl('*/*/', [])),
            'class' => 'back',
            'sort_order' => 10
        ];
    }
}
