<?php

namespace FiloBlu\Refilo\Block\Adminhtml\Redirects;

use FiloBlu\Refilo\Block\Adminhtml\Redirects\Common\Button;

/**
 * Class BackButton
 */
class SaveAndContinueButton extends Button
{
    /**
     * @inheritDoc
     */
    public function getButtonData()
    {
        return [
            'label' => __('Save and Continue Edit'),
            'class' => 'save primary',
            'data_attribute' => [
                'mage-init' => [
                    'button' => ['event' => 'saveAndContinueEdit']
                ],
            ],
            'sort_order' => 80,
        ];
    }
}
