/*eslint-disable */
define(["underscore", "Magento_PageBuilder/js/utils/object"], function (_underscore, _object) {
  /**
   * Copyright © Magento, Inc. All rights reserved.
   * See COPYING.txt for license details.
   */
  var MobilePaddings =
  /*#__PURE__*/
  function () {
    "use strict";

    function MobilePaddings() {}

    var _proto = MobilePaddings.prototype;

    /**
     * @param {string} value
     * @returns {Object | string}
     */
    _proto.fromDom = function fromDom(value) {
      return value;
    }
    /**
     * Convert value to knockout format
     *
     * @param {string} name
     * @param {DataObject} data
     * @returns {string | object}
     */
    ;

    _proto.toDom = function toDom(name, data) {
      var result = {};
      var value = (0, _object.get)(data, name);

      if (value && _underscore.isString(value)) {
        value = JSON.parse(value);
      }

      if (value && undefined !== value.padding) {
        result.mobilePaddingLeft = value.padding.left ? value.padding.left + "px" : "";
        result.mobilePaddingTop = value.padding.top ? value.padding.top + "px" : "";
        result.mobilePaddingRight = value.padding.right ? value.padding.right + "px" : "";
        result.mobilePaddingBottom = value.padding.bottom ? value.padding.bottom + "px" : "";
      }

      return result;
    };

    return MobilePaddings;
  }();

  return MobilePaddings;
});
//# sourceMappingURL=paddings.js.map
