/*eslint-disable */
define([], function () {
  /**
   * Copyright © Magento, Inc. All rights reserved.
   * See COPYING.txt for license details.
   */

  /**
   * @api
   */
  var MobilePaddings =
  /*#__PURE__*/
  function () {
    "use strict";

    function MobilePaddings() {}

    var _proto = MobilePaddings.prototype;

    /**
     * Read paddings from element
     *
     * @param {HTMLElement} element
     * @returns {string | object}
     */
    _proto.read = function read(element) {
      return {
        mobilePadding: {
          left: element.style.paddingLeft,
          top: element.style.paddingTop,
          right: element.style.paddingRight,
          bottom: element.style.paddingBottom
        }
      };
    };

    return MobilePaddings;
  }();

  return MobilePaddings;
});
//# sourceMappingURL=paddings.js.map
